summaryrefslogtreecommitdiff
path: root/build-aux
diff options
context:
space:
mode:
authorDongHun Kwak <dh0128.kwak@samsung.com>2021-02-09 16:00:39 +0900
committerDongHun Kwak <dh0128.kwak@samsung.com>2021-02-09 16:00:39 +0900
commitd91af91dcdf2dd7a0198747a2b4aa864ff288851 (patch)
tree0b3a9ddfe22b8b073197d1ac48f2fbccd889c466 /build-aux
parent1e562bb46de05304792f6ca03421d0ccd0c2c4ae (diff)
downloadgpg2-d91af91dcdf2dd7a0198747a2b4aa864ff288851.tar.gz
gpg2-d91af91dcdf2dd7a0198747a2b4aa864ff288851.tar.bz2
gpg2-d91af91dcdf2dd7a0198747a2b4aa864ff288851.zip
Imported Upstream version 2.2.11upstream/2.2.11
Diffstat (limited to 'build-aux')
-rw-r--r--build-aux/speedo.mk14
-rwxr-xr-xbuild-aux/speedo/patches/gpgme-1.12.0.patch36
2 files changed, 45 insertions, 5 deletions
diff --git a/build-aux/speedo.mk b/build-aux/speedo.mk
index 320d440..9c4189a 100644
--- a/build-aux/speedo.mk
+++ b/build-aux/speedo.mk
@@ -157,8 +157,9 @@ INST_NAME=gnupg-w32
# Use this to override the installaion directory for native builds.
INSTALL_PREFIX=none
-# The Authenticode key used to sign the Windows installer
+# The Authenticode key and cert chain used to sign the Windows installer
AUTHENTICODE_KEY=${HOME}/.gnupg/g10code-authenticode-key.p12
+AUTHENTICODE_CERTS=${HOME}/.gnupg/g10code-authenticode-certs.pem
# Directory names.
@@ -520,12 +521,12 @@ endif
# The LDFLAGS is needed for -lintl for glib.
ifeq ($(WITH_GUI),1)
speedo_pkg_gpgme_configure = \
- --enable-static --enable-w32-glib --disable-w32-qt \
+ --enable-static --enable-w32-glib \
--with-gpg-error-prefix=$(idir) \
LDFLAGS=-L$(idir)/lib
else
speedo_pkg_gpgme_configure = \
- --disable-static --disable-w32-glib --disable-w32-qt \
+ --disable-static --disable-w32-glib \
--with-gpg-error-prefix=$(idir) \
LDFLAGS=-L$(idir)/lib
endif
@@ -1266,8 +1267,11 @@ sign-installer:
echo "speedo: * Signing installer" ;\
echo "speedo: * Key: $(AUTHENTICODE_KEY)";\
echo "speedo: */" ;\
- osslsigncode sign -pkcs12 $(AUTHENTICODE_KEY) -askpass \
- -h sha256 -in "PLAY/inst/$$exefile" -out "../../$$exefile" ;\
+ osslsigncode sign -certs $(AUTHENTICODE_CERTS)\
+ -pkcs12 $(AUTHENTICODE_KEY) -askpass \
+ -ts "http://timestamp.globalsign.com/scripts/timstamp.dll" \
+ -h sha256 -n GnuPG -i https://gnupg.org \
+ -in "PLAY/inst/$$exefile" -out "../../$$exefile" ;\
exefile="../../$$exefile" ;\
$(call MKSWDB_commands,$${exefile},$${reldate}); \
echo "speedo: /*" ;\
diff --git a/build-aux/speedo/patches/gpgme-1.12.0.patch b/build-aux/speedo/patches/gpgme-1.12.0.patch
new file mode 100755
index 0000000..1920dcf
--- /dev/null
+++ b/build-aux/speedo/patches/gpgme-1.12.0.patch
@@ -0,0 +1,36 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+ From 4faa0ccf58c7a0f64f51dcbc8466add660080414 Mon Sep 17 00:00:00 2001
+ From: Werner Koch <wk@gnupg.org>
+ Date: Fri, 2 Nov 2018 11:26:19 +0100
+ Subject: [PATCH] w32: Don't use CloseHandle on an arbitrary integer.
+
+ * src/assuan-support.c (my_waitpid): Do not close the PID = it is not
+ a handle.
+ --
+
+ At some time in the distant past we might have used the process object
+ as pid which obviously required a close. However this was changed and
+ so what we did here was to close an arbitrary handle (one which
+ matches the pid).
+
+ GnuPG-bug-id: 4237
+ Signed-off-by: Werner Koch <wk@gnupg.org>
+
+diff --git a/src/assuan-support.c b/src/assuan-support.c
+index 7fbd48a8..705088e4 100644
+--- a/src/assuan-support.c
++++ b/src/assuan-support.c
+@@ -219,7 +219,7 @@ my_waitpid (assuan_context_t ctx, pid_t pid,
+ (void)nowait;
+ (void)status;
+ (void)options;
+- CloseHandle ((HANDLE) pid);
++ (void)pid; /* Just a number without a kernel object. */
+ #else
+ /* We can't just release the PID, a waitpid is mandatory. But
+ NOWAIT in POSIX systems just means the caller already did the
+--
+2.11.0